Bug 1465652 - [abrt] cinnamon: xlet-settings.py:414:quit:AttributeError: 'MainWindow' object has no attribute 'window'
[abrt] cinnamon: xlet-settings.py:414:quit:AttributeError: 'MainWindow' objec...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a6da9a232961fc7f6934fc43a87...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 17:00 EDT by loner_loony
Modified: 2017-11-25 09:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-25 09:48:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (752 bytes, text/plain)
2017-06-27 17:00 EDT, loner_loony
no flags Details
File: environ (1.24 KB, text/plain)
2017-06-27 17:00 EDT, loner_loony
no flags Details

  None (edit)
Description loner_loony 2017-06-27 17:00:46 EDT
Version-Release number of selected component:
cinnamon-3.4.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/xlet-settings.py extension transparent-panels@germanfr
executable:     /usr/share/cinnamon/cinnamon-settings/xlet-settings.py
kernel:         4.11.6-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
xlet-settings.py:414:quit:AttributeError: 'MainWindow' object has no attribute 'window'

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 427, in <module>
    window = MainWindow(xlet_type, *sys.argv[2:])
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 86, in __init__
    self.load_xlet_data()
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 122, in load_xlet_data
    self.quit()
  File "/usr/share/cinnamon/cinnamon-settings/xlet-settings.py", line 414, in quit
    self.window.destroy()
AttributeError: 'MainWindow' object has no attribute 'window'

Local variables in innermost frame:
self: <__main__.MainWindow object at 0x7f8ed9001240>
args: ()
Comment 1 loner_loony 2017-06-27 17:00:52 EDT
Created attachment 1292467 [details]
File: backtrace
Comment 2 loner_loony 2017-06-27 17:00:56 EDT
Created attachment 1292468 [details]
File: environ
Comment 4 Michael Webster 2017-06-27 17:14:43 EDT
I'm more curious how you came about this?  Were you running it from the command line?  Or were you possibly trying to configure some running applet that you had manually removed from the disk?
Comment 5 Fedora Admin XMLRPC Client 2017-07-06 03:36:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2017-11-16 09:13:35 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Björn 'besser82' Esser 2017-11-25 09:48:49 EST
Third-party applets are supported through their correspondig vendor.  Please contact them here:  https://github.com/linuxmint/cinnamon-spices-applets/issues

Note You need to log in before you can comment on or make changes to this bug.